<?php 
require "../Run.php";
echo head('自动排版');
echo topNav('自动排版','<a href="http://'.HTTP_HOST.'/indexadmin.php?cid='.$_GET['cid'].'">排版</a>','<a href="http://'.HTTP_HOST.'/indexadmin.php?cid=0">首页排版</a>');
if($admin != 1 && $admin !=2){
	echo '<div class="tip">您好，您不具备相应的操作权限！</div>';
}else{
if($_GET['act'] == 'auto'){
//查询并获取子栏目记录
	$sql = "SELECT cid,cn,url,xuhao,q,siteid,gro,list FROM class WHERE siteid='".WAPID."' AND gro='".$_GET['cid']."' ORDER BY xuhao";
    $result = mysql_query($sql);
	//获取栏目数量
	$nums = mysql_num_rows($result);
	if($result && $nums > 0){ 
	//对栏目进行循环遍历
	while(list($cid,$cn,$url,$xuhao,$q,$siteid,$gro,$list) = mysql_fetch_row($result)){
	//是否为显示栏目
			$sql = "UPDATE class SET list='1' WHERE cid='".$cid."'";	
			mysql_query($sql);
			$q_content .= '[div='.$_POST['title_class'].'][class='.$cid.']'.$cn.'[/class][/div][ul='.$_POST['list_class'].']['.$_POST['list_type'].'='.$cid.'_12_1_0_4][/ul]'; 
	   }
	$content = $q_content.$_POST['list_bottom']; 
		if($_GET['cid'] == NULL || $_GET['cid'] == 0){
			$sql = "UPDATE config SET index_bottom='{$content}' WHERE user='".WAPID."'";
				}else{
			$sql = "UPDATE class SET bottom='{$content}' WHERE cid='{$_GET['cid']}' AND siteid='".WAPID."'";
				}	
				$result = mysql_query($sql);
				if($result && mysql_affected_rows()>0){
					echo "修改底部内容成功";
				}else{
					echo "修改底部内容失败";
				}	
			}else{
				echo '<div=tip>您好，您即将要美工的栏目下并没有子栏目，请您先添加子栏目后再使用本功能！</div>';
			}
	}else{
	echo '<div class="title">简单栏目自动排版|<a href="autocmd.php?cid='.$_GET['cid'].'">高级模式</a></div>';
	echo '<div class="tip">本功能将自动替您排版（请提前自行添加子栏目再应用此功能），注意，这将会删除您以前的在本栏目的排版数据且不可恢复</div>';
	echo '<form action="?act=auto&cid='.$_GET['cid'].'" method="post">';
	echo '<br>请填写标题选择器<br>';
	echo '<input value="title_bar" name="title_class" type="text">';
	echo '<br>请填写列表选择器<br>';
	echo '<input value="home_list" name="list_class" type="text">';
	echo '<br>请填写列表种类<br>';
	echo '<input value="bbs" name="list_type" type="text">';
	echo '<br>底部内容<br>';
	echo '<input value="[div=mylink][back]返回上级[/back]|[index]返回首页[/index][/div]" name="list_bottom" type="text">';
	echo '<br>';
	echo '<input type="submit" value="提交"></form>';
}

}
echo footer(1);